跳转至

waf3策列组

POST 列出访问控制规则

POST /prod-api/waf/wafv3/acl/describeWebACLs

Body 请求参数

{
  "pageNum": 1,
  "pageSize": 10,
  "oid": "20240412279097884616",
  "filters": [],
  "searchHeader": {},
  "params": {}
}

请求参数

名称 位置 类型 必选 中文名 说明
Authorization header string -
body body DescribeWebACLsVO DescribeWebACLsVO -

返回示例

200 Response

{
  "total": 3,
  "rows": [
    {
      "wafId": 23,
      "aclName": "huijjj",
      "aclStatus": "DetectionOnly",
      "paranoiaLevel": "balanced",
      "oid": "20240412279097884616",
      "updateTime": "2025-10-14 15:18:51",
      "remark": null,
      "domainIds": [],
      "associatedDomainName": null
    },
    {
      "wafId": 22,
      "aclName": "WAF策略组",
      "aclStatus": "DetectionOnly",
      "paranoiaLevel": "strict",
      "oid": "20240412279097884616",
      "updateTime": "2025-12-30 11:18:45",
      "remark": "1234656565454",
      "domainIds": [215, 219, 233],
      "associatedDomainName": [
        {
          "domainId": 215,
          "domainName": "waf2.ruisuyun.com",
          "port": 0
        },
        {
          "domainId": 219,
          "domainName": "gbp.gloria.com.cn",
          "port": 21000
        },
        {
          "domainId": 233,
          "domainName": "lwtest.ruisuyun.com",
          "port": 0
        }
      ]
    }
  ],
  "code": 200,
  "msg": "成功"
}

201 Response

{}

返回结果

状态码 状态码含义 说明 数据模型
200 OK - Inline
201 Created - Inline
401 Unauthorized - Inline
403 Forbidden - Inline
404 Not Found - Inline

返回数据结构

状态码 200

名称 类型 必选 约束 中文名 说明
» total integer true - -
» rows [object] true - -
»» wafId integer true - 策略组id -
»» aclName string true - 规则名称 -
»» aclStatus string true - 策略组状态 -
»» paranoiaLevel string true - 防护等级 取值有:
lenient:表示宽松模式;
balanced:表示平衡模式;
danger:表示严格模式。
»» oid string true - 套餐 -
»» updateTime string true - 更新时间 -
»» remark string¦null true - 备注 -
»» domainIds [integer] true - 域名ids -
»» associatedDomainName [object]¦null true - associatedDomainName -
»»» domainId integer true - -
»»» domainName string true - -
»»» port integer true - -
» code integer true - -
» msg string true - -

数据模型

DescribeWebACLsVO

{
  "filters": [
    {
      "label": "string",
      "value": ["string"]
    }
  ],
  "oid": "string",
  "pageNum": 0,
  "pageSize": 0,
  "searchHeader": {}
}

DescribeWebACLsVO

属性

名称 类型 必选 约束 中文名 说明
filters [SearchFilterVo] false - 搜索条件 -
oid string false - -
pageNum integer(int32) false - -
pageSize integer(int32) false - -
searchHeader object false - -

SearchFilterVo

{
  "label": "string",
  "value": ["string"]
}

SearchFilterVo

属性

名称 类型 必选 约束 中文名 说明
label string false - 参数名 规则名称/描述:aclName/remark
value [string] false - 数组类型,传入单个值为模糊搜索,多个值为精确搜索